#ifndef MGT5200_BCSR_H
#define MGT5200_BCSR_H

/*
* (C) Copyright Motorola, Inc., 2000
*     All rights reserved.
*
* Module Name: bcsr.h
* Description: tabasco val board bcsr header file
* Rev History: see "cvs log bcsr.h"
*
* bcsr.h,v 1.3 2001/08/10 17:48:44 mughal Exp
*
*/

typedef struct bcsr_register_set {
    volatile uint32 status;           /* MBAR_BCSR + 0x0000 READ-ONLY */
    volatile uint32 mr_control;       /* MBAR_BCSR + 0x0004 */
    volatile uint32 int_select;       /* MBAR_BCSR + 0x0008 */
    volatile uint32 RES0[2];          /* MBAR_BCSR + 0x000c READ-ONLY */
    volatile uint32 cs_control;       /* MBAR_BCSR + 0x0014 */
    volatile uint32  display;         /* MBAR_BCSR + 0x0018 */
} bcsr_regs;

#endif /* MGT5200_BCSR_H */
